Bug 506199 - Memory leak and general instability with GM965/GL960
Memory leak and general instability with GM965/GL960
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-15 21:03 EDT by Jacob Masaki
Modified: 2010-06-28 09:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:02:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (693 bytes, text/plain)
2009-06-19 03:36 EDT, Jacob Masaki
no flags Details
/var/log/dmesg (38.46 KB, text/plain)
2009-06-19 03:38 EDT, Jacob Masaki
no flags Details
/var/log/Xorg.0.log (66.41 KB, text/plain)
2009-06-19 03:41 EDT, Jacob Masaki
no flags Details

  None (edit)
Description Jacob Masaki 2009-06-15 21:03:40 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install Fedora 11
2. Activate Compiz
3. Use the system for a few hours
  
Actual results:
Memory usage climbs quite heavily with modesetting enabled.  With modeseting disabled, crashes happen...  (X locks and refuses to respond to input.  If there is a good way to restart X in F11 over SSH please let me know...)  

Expected results:
Compiz plays nicely with the intel drivers.  

Additional info:
I had a similar bug with Fedora 10, using XAA as the acceleration method fixed things, though...  then I was using XAA as my acceleration method, and that's not really fun.  

I'm going to try adding an xorg.conf and see if that fixes things.
Comment 1 Matěj Cepl 2009-06-16 11:50:48 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available), /var/log/dmesg, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Jacob Masaki 2009-06-19 03:36:44 EDT
Created attachment 348619 [details]
xorg.conf

I didn't have an xorg when I originally submitted the bug report, this is a xorg with a workaround applied.  ...The workaround didn't help.  Neither did disabling modesetting.
Comment 3 Jacob Masaki 2009-06-19 03:38:59 EDT
Created attachment 348620 [details]
/var/log/dmesg

I just rebooted from a crash, so hopefully this is actually helpful.  (It was a hard reboot.)
Comment 4 Jacob Masaki 2009-06-19 03:41:00 EDT
Created attachment 348621 [details]
/var/log/Xorg.0.log

I think this is the only relevant log, I can attach more if you need them.  (I also have Xorg.0.log.old and Xorg.1.log)
Comment 5 Jacob Masaki 2009-06-19 03:44:29 EDT
Using both Fedora 10 and 11 I've come up against this bug, however using Ubuntu I didn't have issues with using Compiz on my laptop.  

Ubuntu appears to start Compiz differently from how we do it, so I could dig into there.  Also, I've not tried Ubuntu 9.04, which may suffer from the same issues.  (I suppose I could try setting up a dual-boot configuration for testing purposes if needed).  

If someone can point me in the right direction, I can try diffing files to see what Ubuntu does.  Though, I may not be much more useful than just the diffs themselves, since I have only taken a couple of courses where we were required to program in C.
Comment 6 pankaj pandey 2009-06-27 14:27:49 EDT
Hi,
I'm also experiencing the compiz memory leak on my intel 965M laptop. One thing i noted that in the fusion-icon when i changed the rendering option to indirect rendering, compiz immediately set free a whole lot of memory (more than a GB of swap). Though as it has not been much time since, i'm not sure if it fixes the leaks (though probably it does). You may try it too. Of course its not the solution but seems to work for now. (If it doesn't, try restarting compiz every now and then when you notice memory usage climbs too much :-)
Thanks
Comment 8 Matěj Cepl 2009-11-05 13:32:12 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 9 Jacob Masaki 2009-12-26 15:45:32 EST
This bug appears to be fixed in Fedora 12.
Comment 10 Bug Zapper 2010-04-27 10:57:47 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-06-28 09:02:39 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.